> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 用户组织

> 获取该用户可访问的组织的分页列表

需要企业管理员的个人 API key。

返回你的 Enterprise 账户中某个特定用户可访问的组织的分页列表。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/members/{user_id}/organizations
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members/{user_id}/organizations:
    get:
      tags:
        - members
      summary: 企业版用户组织端点
      description: 获取该用户可访问的组织的分页列表
      operationId: >-
        enterprise_user_organizations_endpoint_v2_enterprise_members__user_id__organizations_get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_UserOrgResponse_'
          description: 成功的响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    PaginatedResponse_UserOrgResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/UserOrgResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[UserOrgResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    UserOrgResponse:
      properties:
        email:
          title: Email
          type: string
        enterprise_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Enterprise Role
        name:
          title: Name
          type: string
        org_id:
          title: Org Id
          type: string
        org_name:
          title: Org Name
          type: string
        org_role:
          title: Org Role
          type: string
        org_role_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Role Name
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - org_id
        - org_name
        - org_role
      title: UserOrgResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````